data:
  # The data provider which should be used
  provider: LohanDSprovider
  # File name of floor plan img
  floor_plan_img: <image_name>
  # (train, val, test) test=0.2 => 5 fold  # The number of temporal epochs into which the dataset is split
  split_ratio: [0.7, 0.1, 0.2]

#
# are used when not locally set for pipeline
#

global_params:

  # number of experiment repetitions
  repetitions: 10

  preprocessing:
    # Whether to standardize the RSS values
    standardize: True
    # Whether to assign labels with no matching area to closet area
    assign_closest: False
    # The floor number of the Lohan dataset, which should be used
    floor: 0
    # The epoch number of the split dataset
    #num_epochs: 10
    #epoch: 5
    # How to check for area matches of labels (to label positions with matching areas)
    area_assignment: convex_hull
    grid_size: 40

  floor_plan:
    # 'segmentation' => computes floor plan segmentation,
    #  'regression' => uses DBSCAN to partitions labels into train, test split
    type: regression
    # file where segmentation is stored or loaded from
    seg_file: evaluation/lohan_reg_seg
    # whether to 'load' or compute and 'store' the segmentation
    mode: load # (load/store)
    # file location that holds numpy array with walls (rows of form [s_x, s_y, e_x, e_y]
    walls_file: lohan/LohanWalls1stfloor.npy
    # parameters of floor plan segmentation algorithm
    segmentation:
      # algorithm identifier (currently only LDCE supported)
      type: LDCE
      # file location of precomputed distance file (will be recomputed if it does not exist yet)
      precomp_dist_file: evaluation/precomp_dist_lohan(0,0).npy
      # Parameters of LDCE algorithm
      stop_size: 1
      eps: 0.8
      max_eps: 50
      min_pts: 2
      min_members: 1
      rss_penalty: 0
      wall_penalty: 0
      cluster_penalty: 20
      area_mode: convex_hull

  model_params:
    type: GRID_OVERLAP-BBOX_CNN # (DNN, CNN, kNN, SVM) supported (require different parameters)
    lr: 0.7
    batch_size: 32
    epochs: 200
    dropout: 0.5
    regularization_penalty: 0.0

pipelines:

#  - name: 2D-CNN
#    model_params:
#      type: CNN # (DNN, CNN, kNN, SVM) supported (require different parameters)
#      pred: regression
#      dropout: 0.5
#      augmentation: 0

  - name: 2D-CNN-DLB_augmentation_1
    model_params:
      type: GRID_OVERLAP-BBOX_2D-CNN # (DNN, CNN, kNN, SVM) supported (require different parameters)
      dropout: 0.5
      augmentation: 1 #[0, 1]

      loss:
        grid:
          scale: 20.0
        outside:
          scale: 1.0
          delta: [5.0, 10.0, 15.0]

# base directories for file storage
output:
    model_dir: evaluation/lohan/gpu/new_split_cnn/output/
    summary_dir: evaluation/lohan/gpu/new_split_cnn/summary/
    img_folder: evaluation/lohan/ # folder where floorplan images is located (if not present, will be downloaded)
